Subject: bug#58134: closed (Re: bug#58134: grep for windows Include GLOB pattern with double star doesn't seem to work)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 28 Sep 2022 17:08:02 +0000

Your bug report

#58134: grep for windows Include GLOB pattern with double star doesn't seem to work

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
58134: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58134
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#58134: grep for windows Include GLOB pattern with double star doesn't seem to work
From: Paul Eggert <[email-masked]>
To: Alex Benoit <[email-masked]>
Cc: [email-masked]
Date: Wed, 28 Sep 2022 10:07:27 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 9/27/22 16:19, Alex Benoit via Bug reports for GNU grep wrote:
> However, this worked:
> grep -rl --include="*.xml" foo .
> 
> Is the double star supported on Windows?

Yes and no. It's a POSIX glob, which means "**" is equivalent to "*", 
and that's what's supported. Whether it's MS-Windows shouldn't matter.

> What is the proper way to do it?

Looks like you found it already.

Subject: grep for windows Include GLOB pattern with double star doesn't seem to work
From: Alex Benoit <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 27 Sep 2022 23:19:42 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I was using grep for Windows version 3.5.

I was trying to pattern match files.

At first, I thought I could put a regex as the file pattern in the command, but that didn't seem to work.

Then I looked at the --include option.

I tried

grep -l --include="**/*.xml" foo .
grep -l --include="**\*.xml" foo .
grep -l --include="**\\*.xml" foo .

Adding the recursive -r didn't help either.

However, this worked:
grep -rl --include="*.xml" foo .

Is the double star supported on Windows? What is the proper way to do it?

All the best,

Alex